zip_entry_read
zip_read
Zip Functions
PHP Manual

# zip_open

(PHP 4 >= 4.0.7, PHP 5 >= 5.2.0, PECL zip:1.0-1.9.0)

zip_open — Open a ZIP file archive

### Description

mixed zip_open ( string `$filename` )

Opens a new zip archive for reading.

### Parameters

`filename`

  The file name of the ZIP archive to open.

### Return Values

Returns a resource handle for later use with zip_read() and zip_close() or returns the number of error if `filename` does not exist or in case of other error.

### See Also

- zip_read()
- zip_close()

zip_entry_read
zip_read
Zip Functions
PHP Manual